gdcm::network::RoleSelectionSub Class Reference

RoleSelectionSub. More...

`#include <gdcmRoleSelectionSub.h>`

## Public Member Functions

| RoleSelectionSub ()
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetTuple (const char *uid, uint8_t scurole, uint8_t scprole)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

RoleSelectionSub.

PS 3.7 Table D.3-9 SCP/SCU ROLE SELECTION SUB-ITEM FIELDS (A-ASSOCIATE-RQ)

## Constructor & Destructor Documentation

## RoleSelectionSub()

gdcm::network::RoleSelectionSub::RoleSelectionSub | ( |  | ) |

## Member Function Documentation

## Print()

void gdcm::network::RoleSelectionSub::Print | ( | std::ostream & | os | ) | const

## Read()

std::istream & gdcm::network::RoleSelectionSub::Read | ( | std::istream & | is | ) |

## SetTuple()

void gdcm::network::RoleSelectionSub::SetTuple | ( | const char * | uid,
|  | uint8_t | scurole,
|  | uint8_t | scprole )

## Size()

size_t gdcm::network::RoleSelectionSub::Size | ( |  | ) | const

## Write()

const std::ostream & gdcm::network::RoleSelectionSub::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmRoleSelectionSub.h